<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: SimpleStruct Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_simple_struct-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SimpleStruct Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac838ff86e4d563064e93cc4958d0fb0d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simple_struct.html#ac838ff86e4d563064e93cc4958d0fb0d">SimpleStruct</a> ()</td></tr>
<tr class="separator:ac838ff86e4d563064e93cc4958d0fb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6259d52755b5778dc9325804b6b45a6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simple_struct.html#ae6259d52755b5778dc9325804b6b45a6">SimpleStruct</a> (const int *v)</td></tr>
<tr class="separator:ae6259d52755b5778dc9325804b6b45a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad571e7686cdc4e52ba151ba095378b32"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simple_struct.html#ad571e7686cdc4e52ba151ba095378b32">x</a></td></tr>
<tr class="separator:ad571e7686cdc4e52ba151ba095378b32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48a9b7ecd8900b6cae15507dc055360f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simple_struct.html#a48a9b7ecd8900b6cae15507dc055360f">y</a></td></tr>
<tr class="separator:a48a9b7ecd8900b6cae15507dc055360f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a830ded14b8a1c700a24d75de9268286b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simple_struct.html#a830ded14b8a1c700a24d75de9268286b">z</a></td></tr>
<tr class="separator:a830ded14b8a1c700a24d75de9268286b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea44a165721aab748e93b3b65e29bcce"><td class="memItemLeft" align="right" valign="top">std::array&lt; int, 4 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_simple_struct.html#aea44a165721aab748e93b3b65e29bcce">p</a></td></tr>
<tr class="separator:aea44a165721aab748e93b3b65e29bcce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_simple_struct_8h_source.html#l00010">10</a> of file <a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac838ff86e4d563064e93cc4958d0fb0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac838ff86e4d563064e93cc4958d0fb0d">&#9670;&nbsp;</a></span>SimpleStruct() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SimpleStruct::SimpleStruct </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_simple_struct_8h_source.html#l00016">16</a> of file <a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>.</p>

</div>
</div>
<a id="ae6259d52755b5778dc9325804b6b45a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6259d52755b5778dc9325804b6b45a6">&#9670;&nbsp;</a></span>SimpleStruct() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SimpleStruct::SimpleStruct </td>
          <td>(</td>
          <td class="paramtype">const int *&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_simple_struct_8h_source.html#l00016">16</a> of file <a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>.</p>

<p class="reference">References <a class="el" href="_simple_struct_8h_source.html#l00016">SimpleStruct()</a>, <a class="el" href="_simple_struct_8h_source.html#l00012">x</a>, <a class="el" href="_simple_struct_8h_source.html#l00013">y</a>, and <a class="el" href="_simple_struct_8h_source.html#l00014">z</a>.</p>

<p class="reference">Referenced by <a class="el" href="_simple_struct_8h_source.html#l00016">SimpleStruct()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aea44a165721aab748e93b3b65e29bcce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea44a165721aab748e93b3b65e29bcce">&#9670;&nbsp;</a></span>p</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;int, 4&gt; SimpleStruct::p</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_simple_struct_8h_source.html#l00015">15</a> of file <a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_simple_struct_8h_source.html#l00019">operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad571e7686cdc4e52ba151ba095378b32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad571e7686cdc4e52ba151ba095378b32">&#9670;&nbsp;</a></span>x</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SimpleStruct::x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_simple_struct_8h_source.html#l00012">12</a> of file <a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_simple_struct_8h_source.html#l00019">operator&lt;&lt;()</a>, and <a class="el" href="_simple_struct_8h_source.html#l00016">SimpleStruct()</a>.</p>

</div>
</div>
<a id="a48a9b7ecd8900b6cae15507dc055360f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48a9b7ecd8900b6cae15507dc055360f">&#9670;&nbsp;</a></span>y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SimpleStruct::y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_simple_struct_8h_source.html#l00013">13</a> of file <a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_simple_struct_8h_source.html#l00019">operator&lt;&lt;()</a>, and <a class="el" href="_simple_struct_8h_source.html#l00016">SimpleStruct()</a>.</p>

</div>
</div>
<a id="a830ded14b8a1c700a24d75de9268286b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a830ded14b8a1c700a24d75de9268286b">&#9670;&nbsp;</a></span>z</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SimpleStruct::z</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_simple_struct_8h_source.html#l00014">14</a> of file <a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_simple_struct_8h_source.html#l00019">operator&lt;&lt;()</a>, and <a class="el" href="_simple_struct_8h_source.html#l00016">SimpleStruct()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_simple_struct_8h_source.html">SimpleStruct.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
